Loading...
Searching...
No Matches
L4Re::Vfs::Be_file_system Class Reference

Boilerplate class for implementing a L4Re::Vfs::File_system. More...

`#include <backend>`

Inheritance diagram for L4Re::Vfs::Be_file_system:
Collaboration diagram for L4Re::Vfs::Be_file_system:

## Public Member Functions

| Be_file_system (char const *fstype) noexcept
| Create a file-system object for the given fstype.
| ~Be_file_system () noexcept
| Destroy a file-system object.
char const * | type () const noexcept override
| Return the file-system type.
Public Member Functions inherited from L4Re::Vfs::File_system
virtual int | mount (char const *source, unsigned long mountflags, void const *data, cxx::Ref_ptr< File > *dir) noexcept=0
| Create a directory object dir representing source mounted with this file system.

## Detailed Description

Boilerplate class for implementing a L4Re::Vfs::File_system.

This class already takes care of registering and unregistering the file system in the global registry and implements the type() method.

Examples
  tmpfs/lib/src/fs.cc.

Definition at line 310 of file backend.

## Constructor & Destructor Documentation

## Be_file_system()

L4Re::Vfs::Be_file_system::Be_file_system | ( | char const * | fstype | ) |

inlineexplicitnoexcept

Create a file-system object for the given fstype.

Parameters

  fstype | The type that type() shall return.

This constructor takes care of registering the file system in the registry of L4Re::Vfs::vfs_ops.

Definition at line 324 of file backend.

## ~Be_file_system()

L4Re::Vfs::Be_file_system::~Be_file_system | ( |  | ) |

inlinenoexcept

Destroy a file-system object.

This destructor takes care of removing this file system from the registry of L4Re::Vfs::vfs_ops.

Definition at line 336 of file backend.

## Member Function Documentation

## type()

char const * L4Re::Vfs::Be_file_system::type | ( |  | ) | const

inlineoverridevirtualnoexcept

Return the file-system type.

Returns the file-system type given as fstype in the constructor.

Implements L4Re::Vfs::File_system.

Definition at line 346 of file backend.

The documentation for this class was generated from the following file:

- l4/l4re_vfs/backend